Skip to content

Export realized gains in TurboTax TXF format

GET
/api/calculate/tax-summary/{address}/export/turbotax
curl --request GET \
--url 'https://api.qeychain.xyz/api/calculate/tax-summary/example/export/turbotax?tax_year=1&taxpayer_timezone=America%2FNew_York'

Export all taxable disposals for a tax year in TurboTax TXF format.

TXF (Tax Exchange Format) can be imported directly into TurboTax
and other tax software that supports the TXF standard.

The export includes:
- Short-term transactions (Code 321 - Form 8949 Part I)
- Long-term transactions (Code 323 - Form 8949 Part II)
- Wash sale adjustments
address
required
Address
string
tax_year
required
Tax Year

Tax year (e.g., 2024)

integer

Tax year (e.g., 2024)

taxpayer_timezone
Taxpayer Timezone

Taxpayer’s timezone for tax year boundaries. Use IANA names or shortcuts: ‘ET’, ‘CT’, ‘MT’, ‘PT’, ‘AK’, ‘HI’.

string
default: America/New_York

Taxpayer’s timezone for tax year boundaries. Use IANA names or shortcuts: ‘ET’, ‘CT’, ‘MT’, ‘PT’, ‘AK’, ‘HI’.

owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user (for internal transfer detection)

TXF file download

Examplegenerated
example

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}